## org.eclipse.emf.converter.ui
Class ModelConverterDescriptorSelectionPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.jface.wizard.WizardSelectionPage
                  org.eclipse.emf.converter.ui.ModelConverterDescriptorSelectionPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, ISelectionChangedListener, IWizardPage

Direct Known Subclasses:
  EMFExportWizard.SelectionPage, EMFModelWizard.SelectionPage

    public abstract class ModelConverterDescriptorSelectionPage

extends WizardSelectionPage
implements ISelectionChangedListener

Since:
  2.2.0

Field Summary
`protected ModelConverterDescriptor` `descriptor`
`protected TableViewer` `descriptorTableViewer`
`protected boolean` `firstTime`
`protected java.util.Set<IWizard>` `initializedWizards`
`protected ImageDescriptor` `modeConverterWizardDefaultImageDescriptor`
`protected ModelConverterManager<?>` `modelConverterManager`
`protected java.util.Map<? extends ModelConverterDescriptor,ModelConverterManager.ModelConverterDescriptorWizardNode>` `modelConverterWizardNodeMap`
`protected IStructuredSelection` `selection`
`protected IWorkbench` `workbench`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelConverterDescriptorSelectionPage(java.lang.String pageId, ModelConverterManager<?> modelConverterManager, IWorkbench workbench, IStructuredSelection selection)`

Method Summary
`protected void` `adjustModelConverterWizard(IWizard modelConverterWizard)`
`void` `clearCache()`
`void` `createControl(Composite parent)`
`void` `dispose()`
`protected void` `firstTimeVisible(Table descriptorTable)`
`java.lang.String` `getLastModelConverterDescriptorId()`
`ModelConverterDescriptor` `getModelConverterDescriptor()`
`IWizardPage` `getNextPage()`
`protected java.lang.String` `getNoModelConverterMessage()`
`protected abstract java.lang.String` `getSelectModelConverterLabel()`
`protected abstract java.lang.Object[]` `getTableInput()`
`boolean` `isPageComplete()`
`void` `performFinish()`
`void` `selectionChanged(SelectionChangedEvent event)`
`void` `setModeConverterWizardDefaultImageDescriptor(ImageDescriptor imageDescriptor)`
`void` `setModelConverterDescriptor(ModelConverterDescriptor descriptor)`
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jface.wizard.WizardSelectionPage
`canFlipToNextPage, getSelectedNode, setSelectedNode`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### modelConverterManager

    protected ModelConverterManager<?> modelConverterManager

### descriptor

    protected ModelConverterDescriptor descriptor

### descriptorTableViewer

    protected TableViewer descriptorTableViewer

### modeConverterWizardDefaultImageDescriptor

    protected ImageDescriptor modeConverterWizardDefaultImageDescriptor

### modelConverterWizardNodeMap

    protected java.util.Map<? extends ModelConverterDescriptor,ModelConverterManager.ModelConverterDescriptorWizardNode> modelConverterWizardNodeMap

### selection

    protected IStructuredSelection selection

### workbench

    protected IWorkbench workbench

### firstTime

    protected boolean firstTime

### initializedWizards

    protected java.util.Set<IWizard> initializedWizards

Constructor Detail

### ModelConverterDescriptorSelectionPage

    public ModelConverterDescriptorSelectionPage(java.lang.String pageId,
                                                 ModelConverterManager<?> modelConverterManager,
                                                 IWorkbench workbench,
                                                 IStructuredSelection selection)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDialogPage`
  Overrides:
    `dispose` in class `WizardSelectionPage`

### clearCache

    public void clearCache()

### setModeConverterWizardDefaultImageDescriptor

    public void setModeConverterWizardDefaultImageDescriptor(ImageDescriptor imageDescriptor)

### getLastModelConverterDescriptorId

    public java.lang.String getLastModelConverterDescriptorId()

### performFinish

    public void performFinish()

### setModelConverterDescriptor

    public void setModelConverterDescriptor(ModelConverterDescriptor descriptor)

### getModelConverterDescriptor

    public ModelConverterDescriptor getModelConverterDescriptor()

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `DialogPage`

### firstTimeVisible

    protected void firstTimeVisible(Table descriptorTable)

### getNoModelConverterMessage

    protected java.lang.String getNoModelConverterMessage()

### getSelectModelConverterLabel

    protected abstract java.lang.String getSelectModelConverterLabel()

### getTableInput

    protected abstract java.lang.Object[] getTableInput()

### createControl

    public void createControl(Composite parent)

  Specified by:
    `createControl` in interface `IDialogPage`

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  Specified by:
    `selectionChanged` in interface `ISelectionChangedListener`

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `WizardPage`

### getNextPage

    public IWizardPage getNextPage()

  Specified by:
    `getNextPage` in interface `IWizardPage`
  Overrides:
    `getNextPage` in class `WizardSelectionPage`

### adjustModelConverterWizard

    protected void adjustModelConverterWizard(IWizard modelConverterWizard)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.